[issue13399] Don't print traceback for unrecognized actions, commands and options in packaging

Arfrever Frehtes Taifersar Arahesis report at bugs.python.org
Mon Nov 14 15:48:17 CET 2011


Arfrever Frehtes Taifersar Arahesis <Arfrever.FTA at GMail.Com> added the comment:

$ pysetup3.3 unknown_action
Unrecognized action "unknown_action"
Traceback (most recent call last):
  File "/usr/lib64/python3.3/packaging/run.py", line 650, in main
    dispatcher = Dispatcher(args)
  File "/usr/lib64/python3.3/packaging/run.py", line 404, in __init__
    raise PackagingArgError(msg)
packaging.errors.PackagingArgError: Unrecognized action "unknown_action"
$ pysetup3.3 run unknown_command
Invalid command unknown_command
Traceback (most recent call last):
  File "/usr/lib64/python3.3/packaging/command/__init__.py", line 57, in get_command_class
    cls = _COMMANDS[name]
KeyError: 'unknown_command'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.3/packaging/run.py", line 448, in _parse_command_opts
    cmd_class = get_command_class(command)
  File "/usr/lib64/python3.3/packaging/command/__init__.py", line 59, in get_command_class
    raise PackagingModuleError("Invalid command %s" % name)
packaging.errors.PackagingModuleError: Invalid command unknown_command

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.3/packaging/run.py", line 653, in main
    return dispatcher()
  File "/usr/lib64/python3.3/packaging/run.py", line 642, in __call__
    return func(self, self.args)
  File "/usr/lib64/python3.3/packaging/run.py", line 91, in wrapper
    return f(*args, **kwargs)
  File "/usr/lib64/python3.3/packaging/run.py", line 271, in _run
    args = dispatcher._parse_command_opts(parser, args)
  File "/usr/lib64/python3.3/packaging/run.py", line 450, in _parse_command_opts
    raise PackagingArgError(msg)
packaging.errors.PackagingArgError: Invalid command unknown_command

----------
title: Don't print traceback for unrecognized options in packaging -> Don't print traceback for unrecognized actions, commands and options in packaging

_______________________________________
Python tracker <report at bugs.python.org>
<http://bugs.python.org/issue13399>
_______________________________________


More information about the Python-bugs-list mailing list